/*!
 *  @preserve
 *  
 *  @module      iframe-resizer/jquery 5.4.4 (umd) - 2025-04-07
 *
 *  @license     GPL-3.0 for non-commercial use only.
 *               For commercial use, you must purchase a license from
 *               https://iframe-resizer.com/pricing
 * 
 *  @description Keep same and cross domain iFrames sized to their content 
 *
 *  @author      David J. Bradshaw <info@iframe-resizer.com>
 * 
 *  @see         {@link https://iframe-resizer.com}
 * 
 *  @copyright  (c) 2013 - 2025, David J. Bradshaw. All rights reserved.
 */


!function(e){"function"==typeof define&&define.amd?define(e):e()}((function(){"use strict";const e="font-weight: normal;",t="font-style: italic;",n=e+t,i="default",o=Object.freeze({assert:!0,error:!0,warn:!0}),r={expand:!0,defaultEvent:void 0,event:void 0,label:"AutoConsoleGroup",showTime:!0},s={profile:0,profileEnd:0,timeStamp:0,trace:0};const{fromEntries:a,keys:l}=Object,c=e=>[e,console[e]],u=e=>t=>[t,function(n){e[t]=n}],d=(e,t)=>a(l(e).map(t));const f=!(typeof window>"u"||"function"!=typeof window.matchMedia)&&window.matchMedia("(prefers-color-scheme: dark)").matches,p=f?"color: #A9C7FB;":"color: #135CD2;",h=f?"color: #E3E3E3;":"color: #1F1F1F;",m="5.4.4",y="[iFrameSizer]",g=Object.freeze({max:1,scroll:1,bodyScroll:1,documentElementScroll:1}),b="onload",w="init",v=Object.freeze({[b]:1,[w]:1}),z="expanded",j="collapsed",$=Object.freeze({[z]:1,[j]:1}),k=(e,t,n,i)=>e.addEventListener(t,n,i||!1),x=(e,t,n)=>e.removeEventListener(t,n,!1),T=e=>{if(!e)return"";let t=-559038744,n=1103547984;for(let i,o=0;o<e.length;o++)i=e.codePointAt(o),t=Math.imul(t^i,2246822519),n=Math.imul(n^i,3266489917);return t^=Math.imul(t^n>>>15,1935289751),n^=Math.imul(n^t>>>15,3405138345),t^=n>>>16,n^=t>>>16,(2097152*(n>>>0)+(t>>>11)).toString(36)},M=e=>e.replaceAll(/[A-Za-z]/g,(e=>String.fromCodePoint((e<="Z"?90:122)>=(e=e.codePointAt(0)+19)?e:e-26))),R=["<iy><yi>Puchspk Spjluzl Rlf</><iy><iy>","<iy><yi>Tpzzpun Spjluzl Rlf</><iy><iy>","Aopz spiyhyf pz hchpshisl dpao ivao Jvttlyjphs huk Vwlu-Zvbyjl spjluzlz.<iy><iy><i>Jvttlyjphs Spjluzl</><iy>Mvy jvttlyjphs bzl, <p>pmyhtl-ylzpgly</> ylxbpylz h svd jvza vul aptl spjluzl mll. Mvy tvyl pumvythapvu cpzpa <b>oaawz://pmyhtl-ylzpgly.jvt/wypjpun</>.<iy><iy><i>Vwlu Zvbyjl Spjluzl</><iy>Pm fvb hyl bzpun aopz spiyhyf pu h uvu-jvttlyjphs vwlu zvbyjl wyvqlja aolu fvb jhu bzl pa mvy myll bukly aol alytz vm aol NWS C3 Spjluzl. Av jvumpyt fvb hjjlwa aolzl alytz, wslhzl zla aol <i>spjluzl</> rlf pu <p>pmyhtl-ylzpgly</> vwapvuz av <i>NWSc3</>.<iy><iy>Mvy tvyl pumvythapvu wslhzl zll: <b>oaawz://pmyhtl-ylzpgly.jvt/nws</>","<i>NWSc3 Spjluzl Clyzpvu</><iy><iy>Aopz clyzpvu vm <p>pmyhtl-ylzpgly</> pz ilpun bzlk bukly aol alytz vm aol <i>NWS C3</> spjluzl. Aopz spjluzl hssvdz fvb av bzl <p>pmyhtl-ylzpgly</> pu Vwlu Zvbyjl wyvqljaz, iba pa ylxbpylz fvby wyvqlja av il wbispj, wyvcpkl haaypibapvu huk il spjluzlk bukly clyzpvu 3 vy shaly vm aol NUB Nlulyhs Wbispj Spjluzl.<iy><iy>Pm fvb hyl bzpun aopz spiyhyf pu h uvu-vwlu zvbyjl wyvqlja vy dlizpal, fvb dpss ullk av wbyjohzl h svd jvza vul aptl jvttlyjphs spjluzl.<iy><iy>Mvy tvyl pumvythapvu cpzpa <b>oaawz://pmyhtl-ylzpgly.jvt/wypjpun</>.","<iy><yi>Zvsv spjluzl kvlz uva zbwwvya jyvzz-kvthpu</><iy><iy>Av bzl <p>pmyhtl-ylzpgly</> dpao jyvzz kvthpu pmyhtlz fvb ullk lpaoly aol Wyvmlzzpvuhs vy Ibzpulzz spjluzlz. Mvy klahpsz vu bwnyhkl wypjpun wslhzl jvuahja pumv@pmyhtl-ylzpgly.jvt."],S=["NWSc3","zvsv","wyv","ibzpulzz","vlt"],O=Object.fromEntries(["2cgs7fdf4xb","1c9ctcccr4z","1q2pc4eebgb","ueokt0969w","w2zxchhgqz","1umuxblj2e5"].map(((e,t)=>[e,Math.max(0,t-1)]))),E=e=>M(R[e]),I=e=>{const t=e[M("spjluzl")];if(!t)return-1;const n=t.split("-");let i=function(e=""){let t=-2;const n=T(M(e));return n in O&&(t=O[n]),t}(n[0]);return 0===i||(e=>e[2]===T(e[0]+e[1]))(n)||(i=-2),i},W=e=>e,C=e=>t=>window.chrome?e(t.replaceAll("<br>","\n").replaceAll("<rb>","[31;1m").replaceAll("</>","[m").replaceAll("<b>","[1m").replaceAll("<i>","[3m").replaceAll("<u>","[4m")):e((e=>e.replaceAll("<br>","\n").replaceAll(/<[/a-z]+>/gi,""))(t)),L=(A=function(t={}){const a={},l={},f=[],p={...r,expand:!t.collapsed||r.expanded,...t};let h;function m(){f.length=0}function y(){delete p.event,m()}const g=()=>!!f.some((([e])=>e in o))||!!p.expand;function b(){if(0!==f.length){console[g()?"group":"groupCollapsed"](`%c${p.label}%c ${(e=>{const t=e.event||e.defaultEvent;return t?`${t}`:""})(p)} %c${p.showTime?h:""}`,e,"font-weight: bold;",n);for(const[e,...t]of f)console[e](...t);console.groupEnd(),y()}else y()}function w(){h=function(){const e=new Date,t=(t,n)=>e[t]().toString().padStart(n,"0");return`@ ${t("getHours",2)}:${t("getMinutes",2)}:${t("getSeconds",2)}.${t("getMilliseconds",3)}`}(),queueMicrotask((()=>queueMicrotask(b)))}function v(e,...t){0===f.length&&w(),f.push([e,...t])}function z(e=i,...t){v("log",`${e}: ${performance.now()-a[e]} ms`,...t)}return{...d(p,u(p)),...d(console,(e=>[e,(...t)=>v(e,...t)])),...d(s,c),count:function(e=i){l[e]?l[e]+=1:l[e]=1,v("log",`${e}: ${l[e]}`)},countReset:function(e=i){delete l[e]},endAutoGroup:b,errorBoundary:e=>(...t)=>{let n;try{n=e(...t)}catch(e){if(!Error.prototype.isPrototypeOf(e))throw e;v("error",e)}return n},purge:m,time:function(e=i){a[e]=performance.now()},timeEnd:function(e=i){z(e),delete a[e]},timeLog:z}},A?.__esModule?A.default:A);var A;let F={},N=!1;const H=e=>window.top===window.self?`parent(${e})`:`nested parent(${e})`;const B=e=>(t,...n)=>F[t]?.console[e](...n);var P;const q=(P="log",(e,...t)=>!0===(e=>F[e]?F[e].log:N)(e)?B(P)(e,...t):null),D=B("warn"),Q=B("error"),U=B("event"),J=B("errorBoundary");const Z=(e,...t)=>F[e]?F[e].console.warn(C(W)(...t)):queueMicrotask((()=>console?.warn(C((e=>(...t)=>[`iframeResizer(${e})`,...t].join(" "))(e))(...t)))),V=(e=>(t,n="renamed to")=>(i,o,r="",s="")=>e(s,`<rb>Deprecated ${t}(${i.replace("()","")})</>\n\nThe <b>${i}</> ${t.toLowerCase()} has been ${n} <b>${o}</>. ${r}Use of the old ${t.toLowerCase()} will be removed in a future version of <i>iframe-resizer</>.`))(Z),X=V("Method"),Y=V("Option"),G={},_=Object.freeze({autoResize:!0,bodyBackground:null,bodyMargin:null,bodyPadding:null,checkOrigin:!0,direction:"vertical",inPageLinks:!1,heightCalculationMethod:"auto",id:"iFrameResizer",log:!1,logExpand:!1,license:void 0,mouseEvents:!0,offsetHeight:null,offsetWidth:null,postMessageTarget:null,sameDomain:!1,scrolling:!1,sizeHeight:!0,sizeWidth:!1,tolerance:0,waitForLoad:!1,warningTimeout:5e3,widthCalculationMethod:"auto",onClose:()=>!0,onClosed(){},onInit:!1,onMessage:null,onMouseEnter(){},onMouseLeave(){},onReady:e=>{"function"==typeof G[e.id].onInit&&(Y("init()","onReady()","",e.id),G[e.id].onInit(e))},onResized(){},onScroll:()=>!0}),K={position:null,version:m};function ee(e){function t(){le(M),se(R),j("onResized",M)}function n(e){if("border-box"!==e.boxSizing)return 0;return(e.paddingTop?parseInt(e.paddingTop,10):0)+(e.paddingBottom?parseInt(e.paddingBottom,10):0)}function i(e){if("border-box"!==e.boxSizing)return 0;return(e.borderTopWidth?parseInt(e.borderTopWidth,10):0)+(e.borderBottomWidth?parseInt(e.borderBottomWidth,10):0)}const o=e=>T.slice(T.indexOf(":")+7+e);const r=(e,t)=>(n,i)=>{const o={};var r,s;r=function(){ue(`${n} (${e})`,`${e}:${t()}`,i)},o[s=i]||(r(),o[s]=requestAnimationFrame((()=>{o[s]=null})))},s=(e,t)=>()=>{let n=!1;const i=t=>()=>{G[l]?n&&n!==t||(e(t,l),n=t,requestAnimationFrame((()=>{n=!1}))):a()},o=i("scroll"),r=i("resize window");function s(e,t){t(window,"scroll",o),t(window,"resize",r)}function a(){s(0,x),c.disconnect(),u.disconnect()}const l=R,c=new ResizeObserver(i("pageObserver")),u=new ResizeObserver(i("iframeObserver"));s(0,k),c.observe(document.body,{attributes:!0,childList:!0,subtree:!0}),u.observe(G[l].iframe,{attributes:!0,childList:!1,subtree:!1}),G[l]&&(G[l][`stop${t}`]=a)},a=e=>()=>{e in G[R]&&(G[R][e](),delete G[R][e])},l=r("pageInfo",(function(){const e=document.body.getBoundingClientRect(),t=M.iframe.getBoundingClientRect(),{scrollY:n,scrollX:i,innerHeight:o,innerWidth:r}=window,{clientHeight:s,clientWidth:a}=document.documentElement;return JSON.stringify({iframeHeight:t.height,iframeWidth:t.width,clientHeight:Math.max(s,o||0),clientWidth:Math.max(a,r||0),offsetTop:parseInt(t.top-e.top,10),offsetLeft:parseInt(t.left-e.left,10),scrollTop:n,scrollLeft:i,documentHeight:s,documentWidth:a,windowHeight:o,windowWidth:r})})),c=r("parentInfo",(function(){const{iframe:e}=M,{scrollWidth:t,scrollHeight:n}=document.documentElement,{width:i,height:o,offsetLeft:r,offsetTop:s,pageLeft:a,pageTop:l,scale:c}=window.visualViewport;return JSON.stringify({iframe:e.getBoundingClientRect(),document:{scrollWidth:t,scrollHeight:n},viewport:{width:i,height:o,offsetLeft:r,offsetTop:s,pageLeft:a,pageTop:l,scale:c}})})),u=s(l,"PageInfo"),d=s(c,"ParentInfo"),f=a("stopPageInfo"),g=a("stopParentInfo");function b(e){const t=e.getBoundingClientRect();return oe(),{x:Number(t.left)+Number(K.position.x),y:Number(t.top)+Number(K.position.y)}}function w(e){const t=e?b(M.iframe):{x:0,y:0};q(R,`Reposition requested (offset x:%c${t.x}%c y:%c${t.y})`,p,h,p);const n=((e,t)=>({x:e.width+t.x,y:e.height+t.y}))(M,t),i=window.parentIframe||window.parentIFrame;i?function(t,n){t["scrollTo"+(e?"Offset":"")](n.x,n.y)}(i,n):function(e){K.position=e,v(R)}(n)}function v(e){const{x:t,y:n}=K.position,i=G[e]?.iframe;!1!==j("onScroll",{iframe:i,top:n,left:t,x:t,y:n})?se(e):re()}function z(e){let t={};if(0===M.width&&0===M.height){const e=o(9).split(":");t={x:e[1],y:e[0]}}else t={x:M.width,y:M.height};j(e,{iframe:M.iframe,screenX:Number(t.x),screenY:Number(t.y),type:M.type})}const j=(e,t)=>te(R,e,t);function $(){switch(G[R]?.firstRun&&G[R]&&(G[R].firstRun=!1),M.type){case"close":ie(M.iframe);break;case"message":n=o(6),j("onMessage",{iframe:M.iframe,message:JSON.parse(n)});break;case"mouseenter":z("onMouseEnter");break;case"mouseleave":z("onMouseLeave");break;case"autoResize":G[R].autoResize=JSON.parse(o(9));break;case"scrollBy":!function(){const e=M.width,t=M.height,n=window.parentIframe||window.parentIFrame||window;q(R,`scrollBy: x: %c${e}%c y: %c${t}`,p,h,p),n.scrollBy(e,t)}();break;case"scrollTo":w(!1);break;case"scrollToOffset":w(!0);break;case"pageInfo":l("start",R),u();break;case"parentInfo":c("start",R),d();break;case"pageInfoStop":f();break;case"parentInfoStop":g();break;case"inPageLink":!function(e){const t=e.split("#")[1]||"",n=decodeURIComponent(t);let i=document.getElementById(n)||document.getElementsByName(n)[0];i?function(){const e=b(i);q(R,`Moving to in page link: %c#${t}`,p),K.position={x:e.x,y:e.y},v(R),window.location.hash=t}():window.top!==window.self&&function(){const e=window.parentIframe||window.parentIFrame;e&&e.moveToAnchor(t)}()}(o(9));break;case"title":!function(e,t){G[t]?.syncTitle&&(G[t].iframe.title=e,q(t,`Set iframe title attribute: %c${e}`,p))}(M.msg,R);break;case"reset":ae(M);break;case"init":t(),function(e){try{G[e].sameOrigin=!!G[e]?.iframe?.contentWindow?.iframeChildListener}catch(t){G[e].sameOrigin=!1}}(R),(e=M.msg)!==m&&(void 0!==e||Z(R,"<rb>Legacy version detected in iframe</>\n\nDetected legacy version of child page script. It is recommended to update the page in the iframe to use <b>@iframe-resizer/child</>.\n\nSee <u>https://iframe-resizer.com/setup/#child-page-setup</> for more details.\n")),pe=!0,j("onReady",M.iframe);break;default:if(0===M.width&&0===M.height)return void D(R,`Unsupported message received (${M.type}), this is likely due to the iframe containing a later version of iframe-resizer than the parent page`);if(0===M.width||0===M.height)return;if(document.hidden)return;t()}var e,n}let T=e.data,M={},R=null;"[iFrameResizerChild]Ready"!==T?y===`${T}`.slice(0,13)&&T.slice(13).split(":")[0]in G&&(M=function(){const e=T.slice(13).split(":"),t=e[1]?Number(e[1]):0,o=G[e[0]]?.iframe,r=getComputedStyle(o);return{iframe:o,id:e[0],height:t+n(r)+i(r),width:Number(e[2]),type:e[3],msg:e[4]}}(),R=M.id,R?(U(R,M.type),J(R,(function(){!function(e){if(!G[e])throw new Error(`${M.type} No settings for ${e}. Message was: ${T}`)}(R),M.type in{true:1,false:1,undefined:1}||(G[R].loaded=!0,(null!==M.iframe||(D(R,`The iframe (${M.id}) was not found.`),0))&&function(){const{origin:t,sameOrigin:n}=e;if(n)return!0;let i=G[R]?.checkOrigin;if(i&&"null"!=`${t}`&&!(i.constructor===Array?function(){let e=0,n=!1;for(;e<i.length;e++)if(i[e]===t){n=!0;break}return n}():function(){const e=G[R]?.remoteHost;return t===e}()))throw new Error(`Unexpected message received from: ${t} for ${M.iframe.id}. Message was: ${e.data}. This error can be disabled by setting the checkOrigin: false option or by providing of array of trusted domains.`);return!0}()&&$())}))()):D("","iframeResizer received messageData without id, message was: ",T)):Object.keys(G).forEach((e=>{G[e].mode>=0&&ue("iFrame requested init",de(e),e)}))}function te(e,t,n){let i=null,o=null;if(G[e]){if(i=G[e][t],"function"!=typeof i)throw new TypeError(`${t} on iFrame[${e}] is not a function`);if("onClose"===t||"onScroll"===t)try{o=i(n)}catch(n){console.error(n),D(e,`Error in ${t} callback`)}else setTimeout((()=>i(n)))}return o}function ne(e){const{id:t}=e;delete G[t],delete e.iframeResizer}function ie(e){const{id:t}=e;if(!1!==te(t,"onClose",t)){try{e.parentNode&&e.remove()}catch(e){D(t,e)}te(t,"onClosed",t),ne(e)}}function oe(e){null===K.position&&(K.position={x:window.scrollX,y:window.scrollY})}function re(){K.position=null}function se(e){null!==K.position&&(window.scrollTo(K.position.x,K.position.y),q(e,`Set page position: %c${K.position.x}%c, %c${K.position.y}`,p,h,p),re())}function ae(e){oe(e.id),le(e),ue("reset","reset",e.id)}function le(e){function t(t){const i=`${e[t]}px`;e.iframe.style[t]=i,q(n,`Set ${t}: %c${i}`,p)}const{id:n}=e,{sizeHeight:i,sizeWidth:o}=G[n];i&&t("height"),o&&t("width")}F=G;const ce=e=>e.split(":").filter(((e,t)=>19!==t)).join(":");function ue(e,n,i,o){function r(o){const r=e in v?ce(n):n;q(i,o,p,h,p),q(i,`%c${r}`,t)}U(i,e),G[i]&&(G[i]?.postMessageTarget?function(){const{iframe:e,postMessageTarget:t,sameOrigin:o,targetOrigin:s}=G[i];if(o)try{return e.contentWindow.iframeChildListener(y+n),void r(`Sending message to iframe %c${i}%c via sameOrigin`)}catch(e){}r(`Sending message to iframe: %c${i}%c targetOrigin: %c${s}`),t.postMessage(y+n,s)}():D(i,`Iframe(${i}) not found`),o&&G[i]?.warningTimeout&&(G[i].msgTimeout=setTimeout((function(){if(void 0===G[i])return;const{iframe:e,loaded:t,loadErrorShown:n,waitForLoad:o}=G[i],{sandbox:r}=e;t||n||(G[i].loadErrorShown=!0,Z(i,`<rb>No response from iFrame</>\n            \nThe iframe (<i>${i}</>) has not responded within ${G[i].warningTimeout/1e3} seconds. Check <b>@iframe-resizer/child</> package has been loaded in the iframe.\n${o?"\nThe <b>waitForLoad</> option is currently set to <i>'true'</>. If the iframe loads before the JavaScript runs, this option will prevent <i>iframe-resizer</> from initialising. To disable this, set the <b>waitForLoad</> option to <i>'false'</>.  \n":""}${!(r?.length>0)||r.contains("allow-scripts")&&r.contains("allow-same-origin")?"":"\nThe iframe has the <b>sandbox</> attribute, please ensure it contains both the <i>'allow-same-origin'</> and <i>'allow-scripts'</> values.\n"} \n${!(r?.length>0)||r.contains("allow-scripts")&&r.contains("allow-same-origin")?"":"The iframe has the <b>sandbox</> attribute, please ensure it contains both the <i>'allow-same-origin'</> and <i>'allow-scripts'</> values.\n"}This message can be ignored if everything is working, or you can set the <b>warningTimeout</> option to a higher value or zero to suppress this warning.\n`))}),G[i].warningTimeout)))}function de(e){const t=G[e];return[e,"8",t.sizeWidth,t.log,"32",!0,t.autoResize,t.bodyMargin,t.heightCalculationMethod,t.bodyBackground,t.bodyPadding,t.tolerance,t.inPageLinks,"child",t.widthCalculationMethod,t.mouseEvents,t.offsetHeight,t.offsetWidth,t.sizeHeight,t.license,K.version,t.mode,"",t.logExpand].join(":")}let fe=0,pe=!1,he=!1;const me=t=>n=>{function i(){if(G[d]){const{iframe:e}=G[d],t={close:ie.bind(null,e),disconnect:ne.bind(null,e),removeListeners(){Z(d,"\n<rb>Deprecated Method Name</>\n\nThe [removeListeners()</> method has been renamed to [disconnect()</>.\n"),this.disconnect()},resize:ue.bind(null,"Window resize","resize",d),moveToAnchor(e){((e,t,n)=>{if(typeof e!==t)throw new TypeError(`${n} is not a ${i=t,i.charAt(0).toUpperCase()+i.slice(1)}`);var i})(e,"string","moveToAnchor(anchor) anchor"),ue("Move to anchor",`moveToAnchor:${e}`,d)},sendMessage(e){ue("message",`message:${e=JSON.stringify(e)}`,d)}};e.iframeResizer=t,e.iFrameResizer=t}}function o(e){const{id:t}=n,{mode:i,waitForLoad:o}=G[t];-1!==i&&-2!==i&&(k(n,"load",(function(){ue(b,`${e}:${pe}`,t,!0),function(){const e=G[d]?.firstRun,t=G[d]?.heightCalculationMethod in g;!e&&t&&ae({iframe:n,height:0,width:0,type:"init"})}()})),!1===o&&ue(w,`${e}:${pe}`,t,!0))}function r(e){return e?(("sizeWidth"in e||"sizeHeight"in e||"autoResize"in e)&&Z(d,'<rb>Deprecated Option</>\n\nThe <b>sizeWidth</>, <b>sizeHeight</> and <b>autoResize</> options have been replaced with new <b>direction</> option which expects values of <i>"vertical"</>, <i>"horizontal"</> or <i>"horizontal"</>.\n'),e):{}}function s(){const{mode:n}=G[d];he||n>0&&t.vInfoDisable||(he=!0,function(t,n){queueMicrotask((()=>console.info(`%ciframe-resizer ${t}`,N||n<1?"font-weight: bold;":e)))}(`v${m} (${(e=>M(S[e]))(n)})`,n)),n<0?Z("Parent",`${E(n+2)}${E(2)}`):n<1&&Z("Parent",E(3))}function a(e){const t=G[e]?.iframe?.title;return""===t||void 0===t}const l=e=>Object.hasOwn(e,"onMouseEnter")||Object.hasOwn(e,"onMouseLeave");function c(e){var t,i;G[d]={...G[d],iframe:n,firstRun:!0,remoteHost:n?.src.split("/").slice(0,3).join("/"),..._,...r(e),mouseEvents:l(e),mode:I(e),syncTitle:a(d)},U(d,"setup"),function(){const{direction:e}=G[d];if("horizontal"===e)return G[d].sizeWidth=!0,void(G[d].sizeHeight=!1);if("none"===e)return G[d].sizeWidth=!1,G[d].sizeHeight=!1,void(G[d].autoResize=!1);if("vertical"!==e)throw new TypeError(d,`Direction value of "${e}" is not valid`)}(),(t=e?.offsetSize||e?.offset)&&("vertical"===G[d].direction?G[d].offsetHeight=t:G[d].offsetWidth=t),e?.offset&&Z(d,"<rb>Deprecated option</>\n\n The <b>offset</> option has been renamed to <b>offsetSize</>. Use of the old name will be removed in a future version of <i>iframe-resizer</>."),null===G[d].postMessageTarget&&(G[d].postMessageTarget=n.contentWindow),G[d].targetOrigin=!0===G[d].checkOrigin?""===(i=G[d].remoteHost)||null!==i.match(/^(about:blank|javascript:|file:\/\/)/)?"*":i:"*"}const u=()=>"iframeResizer"in n,d=function(e){if(e&&"string"!=typeof e)throw new TypeError("Invalid id for iFrame. Expected String");return""!==e&&e||(e=function(){let e=t?.id||_.id+fe++;return null!==document.getElementById(e)&&(e+=fe++),e}(),n.id=e),e}(n.id);if("object"!=typeof t)throw new TypeError("Options is not an object");return function(e,t){const n=Object.hasOwn(t,"log"),i="string"==typeof t.log,o=n?!!i||t.log:_.log;t.logExpand=n&&i?t.log===z:_.logExpand,function(e){-1===e?.log&&(e.log=!1,e.vInfoDisable=!0)}(t),function({enabled:e,expand:t,iframeId:n}){const i=L({expand:t,label:H(n)});N=e,F[n]||(F[n]={console:i})}({enabled:o,expand:t.logExpand,iframeId:e}),i&&!(t.log in $)&&Q(e,'Invalid value for options.log: Accepted values are "expanded" and "collapsed"'),t.log=o}(d,t),J(d,(function(e){u()?D(d,`Ignored iframe (${d}), already setup.`):(c(e),s(),ge(),function(){switch(n.style.overflow=!1===G[d]?.scrolling?"hidden":"auto",G[d]?.scrolling){case"omit":break;case!0:n.scrolling="yes";break;case!1:n.scrolling="no";break;default:n.scrolling=G[d]?G[d].scrolling:"no"}}(),function(){const{bodyMargin:e}=G[d];"number"!=typeof e&&"0"!==e||(G[d].bodyMargin=`${e}px`)}(),o(de(d)),i())}))(t),n?.iFrameResizer};function ye(){!1===document.hidden&&function(e,t){const n=e=>G[e]?.autoResize&&!G[e]?.firstRun;Object.keys(G).forEach((function(i){n(i)&&ue(e,t,i)}))}("Tab Visible","resize")}const ge=(e=>{let t=!1;return function(){return t?void 0:(t=!0,Reflect.apply(e,this,arguments))}})((()=>{k(window,"message",ee),k(document,"visibilitychange",ye),window.iframeParentListener=e=>setTimeout((()=>ee({data:e,sameOrigin:!0})))}));switch(!0){case void 0===window.jQuery:D("","Unable to bind to jQuery, it is not available.");break;case!window.jQuery.fn:D("","Unable to bind to jQuery, it is not fully loaded.");break;case window.jQuery.fn.iframeResize:D("","iframeResize is already assigned to jQuery.fn.");break;default:window.jQuery.fn.iframeResize=function(e){const t=me(e);return this.filter("iframe").each(((e,n)=>t(n))).end()},window.jQuery.fn.iFrameResize=function(e){return X("iFrameResize()","iframeResize()","","jQuery"),this.iframeResize(e)}}}));
